//=============================================================================
// MH hud from:
// UTJ_HUD
//  Copyright 2005 zeal
// All credit is his
//=============================================================================

class MHHud expands MonsterHUD;

simulated function PostRender(Canvas C)
{
	Super.PostRender(C);
	
	DrawMonsterName(C);
}

simulated function DrawMonsterName(Canvas C) 
{

	local float Dist;
	local ScriptedPawn P;
	local int XPos, YPos;
	local Vector X,Y,Z, Dir;
	local PlayerPawn C_Owner;

//	C_Owner = PlayerPawn(Owner.Owner);
	C_Owner = PlayerPawn(Owner);
	GetAxes(C_Owner.Rotation, X, Y, Z);
	if (Level.bHighDetailMode)
		C.Style = ERenderStyle.STY_Translucent;
	else
		C.Style = ERenderStyle.STY_Normal;
	foreach VisibleCollidingActors(class'ScriptedPawn', P, 3000, C_Owner.Location, true) 
        {
		Dir = P.Location - C_Owner.Location;
		Dist = VSize(Dir);
		Dir = Dir / Dist;
		if ((Dir Dot X) > 0.7) {
			XPos = 0.5 * C.ClipX * (1 + 1.4 * (Dir Dot Y));
			YPos = 0.5 * C.ClipY * (1 - 1.4 * (Dir Dot Z));
			C.SetPos(XPos - 8, YPos - 8);
			C.DrawIcon(Texture'CrossHair5', 1.0);
			C.SetPos(Xpos - 12, YPos - 16);
			
			C.DrawColor.R = 0;
			C.DrawColor.G = 255;
			C.DrawColor.B = 0;


			if(P.Health < (P.Default.Health * 0.3) ) //30% dam
			{
				C.DrawColor.R = 255;
				C.DrawColor.G = 0;
				C.DrawColor.B = 0;
			}
			else if(P.Health < (P.Default.Health * 0.6) ) //60% dam
			{
				C.DrawColor.R = 255;
				C.DrawColor.G = 255;
				C.DrawColor.B = 0;
			}
			else if(P.Health < (P.Default.Health * 0.9) ) //90% dam
			{
				C.DrawColor.R = 127;
				C.DrawColor.G = 255;
				C.DrawColor.B = 0;
			}
			C.Font = C.MedFont;
			C.SetPos(Xpos - 12, YPos - 16);
			C.DrawText(P.class.Name$"("$P.Health$")", true);
			//log(P.class.Name$"("$P.Health$")"$" C_Owner.Location:"$C_Owner.Location);
		}
	}
}

defaultproperties
{
}
